WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP-Hashcash Extended

Client-side javascript blocks all spam bots. XHTML 1.1 compliant. Now with support for WordPress Versions 3.1+

4.7

  • Fixed capability for WordPress 3.1+

4.6

  • Removed links from the blog linking back to Hashcash homepage to comply with WordPress.org plugin guidelines. Props Ryan Hellyer.

4.5.1

  • Fix a javascript error

4.5

  • Support clean interoperation with jQuery and Prototype
  • Protect BuddyPress (BP) signup pages

4.4

  • Admin users can now comment from Dashboard
  • Tested on WP 2.9.2 in Chrome, IE, and FF
  • Fix a potential JS error

4.1

  • Added a new options page under Options, WordPress Hashcash
  • Fixed XHTML standards compliance
  • Added validation options for pingbacks and trackbacks (stolen from here)
  • Added a logging option for moderated comments

4.0.5

  • Added an option for handling comments via moderation, the akismet queue, or deletion
  • Removed database dependencies
  • Removed error message for hash fail
  • Added the noscript tag for users without javascript
  • Corrected the widget formatting
  • Changed zip file format from winrar to 7zip, hopefully it will be more compatible

4.0.4

  • Removed version checking
  • Removed an unnecessary link element in the head section

4.0.3

  • Suppress errors on loading remote version by any method
  • Fix typo-bugs everywhere affecting the widget reporting, date checking, etc
  • Strip tags from remote version
  • Try various methods to get remote version, ignore if we can't open sockets
  • Fix a bug with one of the javascripts

Requires: 3.1 or higher
Compatible up to: 3.3.2
Last Updated: 2012-4-16
Downloads: 6,149

Ratings

5 stars
5 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1